Kirjoittaja Aihe: Virhe päivityksiä asennettaessa [Ratkaistu]  (Luettu 2593 kertaa)

Sofu

  • Käyttäjä
  • Viestejä: 20
    • Profiili
Virhe päivityksiä asennettaessa [Ratkaistu]
« : 12.06.12 - klo:21.01 »
Hei! Tämä tunari ei saa päivityksiä asennetuksi, kun pukkaa vaan ilmoitusta että ei onnistu:

"Tarvittavia päivitykseen liittyviä tarkistuksia ei voitu tehdä

Määriteltäessä päivitystä tapahtui virhe jota ei voitu korjata.

Ilmoita tästä virheraportilla paketille "update-manager" ja sisällytä raporttiin seuraava virheviesti:
'E:Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.'"

"Muutoksia ei voida toteuttaa. Korjaa ensin rikkinäiset paketit."

Oikealla yläkulmassa oleva päivitykset ikoni on muuttunu punaiseksi kieltomerkiksi ja antaa viestin: "Tapahtui virhe, suorita pakettienhallintasovellus oikean painikkeen valikosta tai apt-get-ohjelma päätteessä selvittääksesi mikä on vialla. Virheviesti oli: "Virhe päivityksen (E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.) käsittelyssä "Tämä tarkoittaa yleensä sitä, että asentamasi paketit ovat riippuvaisia joistain toisista asentamattomista paketeista"

Selvää suomea, mutta ei mene jakeluun käytännön tasolla. Miten esim. suoritetaan pakettienhallintasovellus? Tai mitä minun pitäisi tehdä, jotta saisin päivitykset kuntoon?

Ja tässä vielä tiedot julkaisusta: Ubuntu 10.04.3 LTS lucid
« Viimeksi muokattu: 17.06.12 - klo:20.01 kirjoittanut Sofu »

Eesaurus

  • Käyttäjä
  • Viestejä: 3247
    • Profiili
Vs: Virhe päivityksiä asennettaessa
« Vastaus #1 : 12.06.12 - klo:21.38 »
Yritä korjata rikkinäiset paketit tällä komennolla, kopioi terminaaliin ja enteriä perään.
Koodia: [Valitse]
sudo apt-get -f install
Jos ja kun tuo korjaa tilanteen, niin päivittäminen pitäisi onnistua sen jälkeen.


Sofu

  • Käyttäjä
  • Viestejä: 20
    • Profiili
Vs: Virhe päivityksiä asennettaessa
« Vastaus #2 : 13.06.12 - klo:14.06 »
Kun tuon jälkeen koitin päivittää, niin tuli tällainen teksti:

"Tarvittavia päivitykseen liittyviä tarkistuksia ei voitu tehdä

Määriteltäessä päivitystä tapahtui virhe jota ei voitu korjata.

Ilmoita tästä virheraportilla paketille "update-manager" ja sisällytä raporttiin seuraava virheviesti:
'E:Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.'"

lompolo

  • Käyttäjä
  • Viestejä: 852
    • Profiili
Vs: Virhe päivityksiä asennettaessa
« Vastaus #3 : 13.06.12 - klo:15.05 »
Koodia: [Valitse]
sudo dpkg --configure -aVarmistetaan ettei joku päivitys ole jäänyt kesken. Tämä ei tuota ilmoituksia jos asia on jo kunnossa.

Koodia: [Valitse]
sudo apt-get updatePäivitetään pakettilähteet

Koodia: [Valitse]
sudo apt-get upgradePäivitetään paketit jotka eivät vaadi uusien pakettien asentamista tai vanhojen poistoa.

Koodia: [Valitse]
sudo apt-get dist-upgradePäivitetään loput. Jos jonkun paketin päivityksessä on vielä ongelmia, kyseisen paketin pitäisi näkyä nyt.


Sofu

  • Käyttäjä
  • Viestejä: 20
    • Profiili
Vs: Virhe päivityksiä asennettaessa
« Vastaus #4 : 15.06.12 - klo:22.46 »
sudo apt-get dist-upgrade antoi tällaisen vastauksen:

Käsitellään päivitystä ... Ei onnistunut
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
  firefox: Rikkoo: adobe-flashplugin (<= 11.1.102.63-0lucid1) mutta 10.0.32.18-1 on merkitty asennettavaksi
E: Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.

Miten pitäisi toimia, jotta saisi päivitykset kuntoon?

juyli

  • Vieras
Vs: Virhe päivityksiä asennettaessa
« Vastaus #5 : 16.06.12 - klo:21.33 »
Miten pitäisi toimia, jotta saisi päivitykset kuntoon?

Löysä arvaus: poista nykyinen flash-plugin (vaikka synaptic:lla), ja asenna sitten uudelleen flashplugin-installer paketinhallinnan työkaluilla.
http://packages.ubuntu.com/search?keywords=flash&searchon=names&suite=lucid&section=all

Ubuntun jakeluversiota 10.04.03 ei ole olemassakaan. Tuo on vain ko. ajankohdan päivittynyt versio Lucid-versiosta 10.04. Tuorein noista asennusmedioista lienee 10.04.04.
Nyt on kuitenkin jo julkaistu seuraava LTS-versio 12.04, johon päivittäminen onnistunee ongelmitta.
Jos erityistä syytä pitäytyä ko. versioosi ei ole, kannattaa päivittää parin vuoden takainen versio nykyaikaisempaan. Aikanaan tuo Lucid jää ilman tukea, joten enemmin tai myöhemmin päivitys on jokatapauksessa välttämätön.
Suosin aina uusinta tarjollaolevaa Ubuntu-jakelua, joten noilla LTS-versioilla ei minulle ole mitään lisäarvoa.
Lisäys: LTS-versiot soveltuvat erinomaisesti palvelinkäyttöön, mutta tavan työpöytäkäyttäjällä ei ole yleensä erityistä syytä pitäytyä LTS-versioihin.
« Viimeksi muokattu: 16.06.12 - klo:21.38 kirjoittanut juyli »

Ubumpi

  • Käyttäjä
  • Viestejä: 293
    • Profiili
Vs: Virhe päivityksiä asennettaessa
« Vastaus #6 : 16.06.12 - klo:23.19 »
sudo apt-get dist-upgrade antoi tällaisen vastauksen:

Käsitellään päivitystä ... Ei onnistunut
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
  firefox: Rikkoo: adobe-flashplugin (<= 11.1.102.63-0lucid1) mutta 10.0.32.18-1 on merkitty asennettavaksi
E: Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.

Miten pitäisi toimia, jotta saisi päivitykset kuntoon?


"Tämä ei kuitenkaan suorita päivitysoperaatiota, jos se vaatisi joidenkin pakettien poistamista tai uusien asentamista. Täydellinen järjestelmän päivitys tehdäänkin komennolla

apt-get dist-upgrade

Ennen järjestelmän päivitystä uuteen versioon kannattaa lukea päivitysohjeet: päivitys vaatii usein erikoisjärjestelyjä, kuten tiettyjen pakettien päivittämisen ennen muita (ydin, paketinhallinta, keskeisiä kirjastoja tms.)."
http://linux.fi/wiki/Apt#apt-get


Mainituista päivitysohjeista:

"Upgrading from Ubuntu 10.04 LTS to Ubuntu 12.04 LTS

It is generally recommended that users of Ubuntu 10.04 LTS wait until the first point release, due in August, before upgrading."

Kyseinen pistejulkaisu tulee joskus ensi kuussa.


Itselläni päivitys 10.04 -> päättyi katastrofiin. Jatkossa yritän pitää visusti mielessä ettei ennen pistejulkaisua pidä päivittää uuteen versioon. Tässä tarinaa:
http://forum.ubuntu-fi.org/index.php?topic=42733.msg329001#msg329001


Sofu

  • Käyttäjä
  • Viestejä: 20
    • Profiili
Vs: Virhe päivityksiä asennettaessa
« Vastaus #7 : 17.06.12 - klo:20.01 »
Kiitos avusta, tämä tunari onnistui vihdoinkin. :)